Construct a new BSON iterator (unused)

- « MongoDB\BSON\Iterator

- MongoDB\BSON\Iterator::current »

- PHP Manual
- MongoDB\BSON\Iterator
- Construct a new BSON iterator (unused)

# MongoDB\BSON\Iterator::__construct

(No version information available, might only be in Git)

MongoDB\BSON\Iterator::__construct — Construct a new BSON iterator (unused)

### Description

final private MongoDB\BSON\Iterator::__construct()

MongoDB\BSON\Iterator objects are created by calling MongoDB\BSON\Document::getIterator() or MongoDB\BSON\PackedArray::getIterator() and cannot be instantiated directly.

### Parameters

This function has no parameters.

### See Also

- MongoDB\BSON\Document::getIterator() - Returns an iterator for the BSON document
- MongoDB\BSON\PackedArray::getIterator() - Returns an iterator for the BSON array
- » BSON Types